commit:     c784aa94cca39ecc3bbf5fd4c7ce073288c5cece
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 23:02:13 2024 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Fri Oct 11 23:03:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c784aa94

app-containers/crun: add 1.17

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-containers/crun/Manifest         |  1 +
 app-containers/crun/crun-1.17.ebuild | 75 ++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/app-containers/crun/Manifest b/app-containers/crun/Manifest
index 53569abf7193..6681d587bded 100644
--- a/app-containers/crun/Manifest
+++ b/app-containers/crun/Manifest
@@ -1,4 +1,5 @@
 DIST crun-1.11.2.tar.xz 738176 BLAKE2B 
ef13475089c87599159ce00dd26fbb19c7f2bb9564352c1f8040925e521bb924cf28a8d1f37cc95ce7d1b2797b8654740e9ad08352e357c8c9e2d176466101e0
 SHA512 
ae35ffb9bd1c7acebfd7f6236fa6a7ad524593d8f2cea1203f0e89023e9791d2d5bbc5c5cfc32ee5f18ad80662a1659076ab5f4d5ff74c6026842f2dd12be977
 DIST crun-1.14.3.tar.xz 750456 BLAKE2B 
5a63b5da2f85ff1a83d4589be224c5b7a1123b6d7714b90a63c1907b78d42392aff25ffe5d9a4127173ac47026d57e9c93a39f5ba4b07de7f9f3722c14e6d203
 SHA512 
d6645c519ff00dda5def6d58240600d15e76969489918d51c0def2fee7dbad6374f83e5afc14a998d176aa2944765df5cd84c3031b265a1931ab23f2fc965fc1
 DIST crun-1.16.tar.gz 1759549 BLAKE2B 
1dfdf9177ae52e627c92e70e48a558bb355c87f629e95f1debaf6b7d8c38802110bd796545d5b2dbe3cac7f8de1f9c94e9b5f046cc618e73afd4c434188d585c
 SHA512 
718e17abdb8c2a9e1fdd39f09e7e3e435d88c5785cc13c1e67f492847d7d938cf399aecc055ecf88720fa8f73b8539f057e3b0e53f10f4e382f5664a2243b959
+DIST crun-1.17.tar.gz 1773153 BLAKE2B 
9f75cb6879e0b8cd47bb8939c1cf6f88d5e13e6d8932c652ea20c64501bc69fbda84dd061866a9c08e353848f39d1022bf67fbc0d160d5ef7fdc08c1edec03f9
 SHA512 
7556467c5e0e93bb7321e2e88de8a2f537340e3e0acaa5501eab8deb0f4bb93c4561f8d063156789d3ee98fdd49069fc52c0ed0c773bd44db476eeeccc16aa1a
 DIST crun-1.8.4.tar.xz 729552 BLAKE2B 
8169518a0ddd8deb3820f7030d03dec6941d5d34fb73a036b82f15b0d8f2f702e117de00b829a16cb9976e118f5a5ca732b1cd572708f664cfeafc564f883824
 SHA512 
2ed80db2e7ddd1438bbe33e99ec2cdbcc55c4869504f719ff9302e834929752af09a59cd905accb37ee5f6cae3b9b16fd4f4c3fdab31db5fc38b007c1505bfa0

diff --git a/app-containers/crun/crun-1.17.ebuild 
b/app-containers/crun/crun-1.17.ebuild
new file mode 100644
index 000000000000..c2730e40b57e
--- /dev/null
+++ b/app-containers/crun/crun-1.17.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit python-any-r1
+
+DESCRIPTION="A fast and low-memory footprint OCI Container Runtime fully 
written in C"
+HOMEPAGE="https://github.com/containers/crun";
+
+if [[ "$PV" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/containers/${PN}.git";
+else
+       
SRC_URI="https://github.com/containers/${PN}/releases/download/${PV}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv"
+fi
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+IUSE="+bpf +caps criu +seccomp selinux systemd static-libs"
+
+DEPEND="
+       dev-libs/yajl:=
+       sys-kernel/linux-headers
+       caps? ( sys-libs/libcap )
+       criu? ( >=sys-process/criu-3.15 )
+       seccomp? ( sys-libs/libseccomp )
+       systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}
+       selinux? ( sec-policy/selinux-container )"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable bpf)
+               $(use_enable caps)
+               $(use_enable criu)
+               $(use_enable seccomp)
+               $(use_enable systemd)
+               $(usex static-libs '--enable-shared --enable-static' 
'--enable-shared --disable-static' '' '')
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake "DESTDIR=${D}" install-exec
+       doman crun.1
+       einstalldocs
+
+       einfo "Cleaning up .la files"
+       find "${ED}" -name '*.la' -delete || die
+}
+
+src_test() {
+       emake check-TESTS -C ./libocispec
+
+       # the crun test suite is comprehensive to the extent that tests will 
fail
+       # within a sandbox environment, due to the nature of the privileges
+       # required to create linux "containers".
+       local supported_tests=(
+               "tests/tests_libcrun_utils"
+               "tests/tests_libcrun_errors"
+               "tests/tests_libcrun_intelrdt"
+               "tests/test_oci_features"
+       )
+       emake check-TESTS TESTS="${supported_tests[*]}"
+}

Reply via email to